=== debian/changelog ===
pure-glpk (0.6-1) focal; urgency=medium

  * New release, GLPK 5.x compatibility

 -- Albert Graef <aggraef@gmail.com>  Wed, 28 Apr 2021 17:33:20 +0200

pure-glpk (0.5-1) trusty; urgency=low

  * New upstream release

 -- Albert Graef <aggraef@gmail.com>  Fri, 12 Sep 2014 14:51:42 +0200

pure-glpk (0.4-1) precise; urgency=low

  * New upstream release

 -- Albert Graef <aggraef@gmail.com>  Thu, 19 Sep 2013 08:35:39 +0200

pure-glpk (0.3-1) precise; urgency=low

  * New upstream release

 -- Albert Graef <Dr.Graef@t-online.de>  Tue, 02 Apr 2013 18:34:56 +0200

pure-glpk (0.2-2) natty; urgency=low

  * Fix package dependencies

 -- Albert Graef <Dr.Graef@t-online.de>  Wed, 23 May 2012 19:20:45 +0200

pure-glpk (0.2-1) natty; urgency=low

  * Initial release

 -- Albert Graef <Dr.Graef@t-online.de>  Wed, 23 May 2012 12:03:08 +0200
