=== debian/control ===
Source: pure-glpk
Section: devel
Priority: extra
Maintainer: Albert Graef <aggraef@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), pure-dev, libglpk-dev (>= 4.42), unixodbc-dev, libltdl-dev, zlib1g-dev
Standards-Version: 3.9.1
Homepage: http://purelang.bitbucket.org

Package: pure-glpk
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GLPK interface for the Pure programming language
 Pure is a modern-style functional programming language based on term
 rewriting. This package provides a feature complete GLPK interface for the
 Pure programming language, which lets you use all capabilities of the GNU
 Linear Programming Kit (GLPK) directly from Pure.
